Bug 602164 - SELinux is preventing /sbin/audisp-remote "getcap" and "setcap" access .
Summary: SELinux is preventing /sbin/audisp-remote "getcap" and "setcap" access .
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords:
Depends On: 602159 646801
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 09:52 UTC by Eduard Benes
Modified: 2014-03-29 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 16:29:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eduard Benes 2010-06-09 09:52:01 UTC
I found following AVC denial in logs while testing audisp-remote plugin with "network_failure_action = stop".

Summary:

SELinux is preventing /sbin/audisp-remote "getcap" and "setcap" access .

Detailed Description:

SELinux denied access requested by audisp-remote. It is not expected that this
access is required by audisp-remote and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:audisp_remote_t:s0
Target Context                system_u:system_r:audisp_remote_t:s0
Target Objects                None [ process ]
Source                        audisp-remote
Source Path                   /sbin/audisp-remote
Port                          <Unknown>
Host                          <Unknown>
Source RPM Packages           audispd-plugins-2.0.4-1.el6
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-15.el6
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     hp-dl360-06.rhts.englab.brq.redhat.com
Platform                      Linux hp-dl360-06.rhts.englab.brq.redhat.com
                              2.6.32-25.el6.i686 #1 SMP Mon May 10 17:25:50 EDT
                              2010 i686 i686
Alert Count                   1
First Seen                    Wed Jun  9 05:29:17 2010
Last Seen                     Wed Jun  9 05:29:17 2010
Local ID                      09b33faf-f0d5-4fa1-b952-90054a3e268d
Line Numbers                  3, 4

Raw Audit Messages            

type=SYSCALL msg=audit(1276075757.757:21572): arch=40000003 syscall=184 success=no exit=-13 a0=b78846c4 a1=b78846cc a2=8f7ff4 a3=b78846c0 items=0 ppid=1795 pid=1800 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="audisp-remote" exe="/sbin/audisp-remote" subj=system_u:system_r:audisp_remote_t:s0 key=(null)

type=AVC msg=audit(1276075757.757:21572): avc:  denied  { getcap } for  pid=1800 comm="audisp-remote" scontext=system_u:system_r:audisp_remote_t:s0 tcontext=system_u:system_r:audisp_remote_t:s0 tclass=process

Raw Audit Messages            

type=SYSCALL msg=audit(1276075757.757:21573): arch=40000003 syscall=185 success=no exit=-13 a0=b78846c4 a1=b78846cc a2=8f7ff4 a3=ffffffff items=0 ppid=1795 pid=1800 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="audisp-remote" exe="/sbin/audisp-remote" subj=system_u:system_r:audisp_remote_t:s0 key=(null)

type=AVC msg=audit(1276075757.757:21573): avc:  denied  { setcap } for  pid=1800 comm="audisp-remote" scontext=system_u:system_r:audisp_remote_t:s0 tcontext=system_u:system_r:audisp_remote_t:s0 tclass=process

Comment 1 RHEL Product and Program Management 2010-06-09 09:53:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Daniel Walsh 2010-06-09 20:36:18 UTC
Miroslav add

allow audisp_remote_t self:process { getcap setcap };

Comment 3 Miroslav Grepl 2010-06-10 06:42:22 UTC
Fixed in selinux-policy-3.7.19-24.el6.noarch

Comment 5 releng-rhel@redhat.com 2010-11-11 16:29:08 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.